
#ifndef KDEVJAVASUPPORTIFACE_H
#define KDEVJAVASUPPORTIFACE_H

#include <tqobject.h>
#include <dcopobject.h>

class JavaSupportPart;

class KDevJavaSupportIface : public TQObject, public DCOPObject
{
    Q_OBJECT
//    
    K_DCOP
public:
    KDevJavaSupportIface( JavaSupportPart* javaSupport );
    ~KDevJavaSupportIface();
    
k_dcop:
    void addClass();
    void parseProject();
    
private:
    JavaSupportPart* m_javaSupport;
};

#endif
